From aca8bcb48feca8c87b9af4e440835992d3f6d470 Mon Sep 17 00:00:00 2001
From: Pietro Albini <pietro.albini@ferrous-systems.com>
Date: Tue, 19 Oct 2021 09:29:19 +0200
Subject: [PATCH] remove "field is never read" warning

---
 src/bootstrap/lib.rs              | 1 -
 src/bootstrap/metadata.rs         | 3 +--
 src/tools/bump-stage0/src/main.rs | 1 -
 3 files changed, 1 insertion(+), 4 deletions(-)

diff --git a/src/bootstrap/lib.rs b/src/bootstrap/lib.rs
index 2d4e152789724..3b3c8a9227d95 100644
--- a/src/bootstrap/lib.rs
+++ b/src/bootstrap/lib.rs
@@ -277,7 +277,6 @@ pub struct Build {
 struct Crate {
     name: Interned<String>,
     deps: HashSet<Interned<String>>,
-    id: String,
     path: PathBuf,
 }
 
diff --git a/src/bootstrap/metadata.rs b/src/bootstrap/metadata.rs
index a38391c7b88f2..65e229697dc87 100644
--- a/src/bootstrap/metadata.rs
+++ b/src/bootstrap/metadata.rs
@@ -14,7 +14,6 @@ struct Output {
 
 #[derive(Deserialize)]
 struct Package {
-    id: String,
     name: String,
     source: Option<String>,
     manifest_path: String,
@@ -50,7 +49,7 @@ pub fn build(build: &mut Build) {
                 .filter(|dep| dep.source.is_none())
                 .map(|dep| INTERNER.intern_string(dep.name))
                 .collect();
-            build.crates.insert(name, Crate { name, id: package.id, deps, path });
+            build.crates.insert(name, Crate { name, deps, path });
         }
     }
 }
diff --git a/src/tools/bump-stage0/src/main.rs b/src/tools/bump-stage0/src/main.rs
index 96d3c87384331..d6364e28fef97 100644
--- a/src/tools/bump-stage0/src/main.rs
+++ b/src/tools/bump-stage0/src/main.rs
@@ -196,7 +196,6 @@ struct ManifestPackage {
 
 #[derive(Debug, serde::Deserialize)]
 struct ManifestTargetPackage {
-    available: bool,
     url: Option<String>,
     hash: Option<String>,
     xz_url: Option<String>,
